Package org.eclipse.lemminx.extensions.contentmodel.model

## Class GrammarCacheInfo

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.model.GrammarCacheInfo

    public class GrammarCacheInfo
    extends Object

Grammar cache information.

### Constructor Summary

Constructors
`GrammarCacheInfo​(String cachedResolvedUri, boolean downloading, Exception cacheError)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCachedResolvedUri()` Returns the file path cache.
`Exception` `getCacheError()` Returns the error while downloading and null otherwise.
`boolean` `isDownloading()` Returns true if the grammar is downloading and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GrammarCacheInfo

    public GrammarCacheInfo​(String cachedResolvedUri,
                            boolean downloading,
                            Exception cacheError)

### Method Detail

#### getCachedResolvedUri

    public String getCachedResolvedUri()

Returns the file path cache.

Returns:
  the file path cache.

#### isDownloading

    public boolean isDownloading()

Returns true if the grammar is downloading and false otherwise.

Returns:
  true if the grammar is downloading and false otherwise.

#### getCacheError

    public Exception getCacheError()

Returns the error while downloading and null otherwise.

Returns:
  the error while downloading and null otherwise.